Name:           meld
Version:        3.22.0
Release:    1%{?dist}
Summary:        Visual diff and merge tool

License:        GPLv2+
URL:            https://meldmerge.org/
Source0:        https://download.gnome.org/sources/meld/3.22/meld-%{version}.tar.xz

BuildRequires:  meson >= 0.47.0
BuildRequires:  python3-devel
BuildRequires:  glib2-devel
BuildRequires:  gettext
BuildRequires:  itstool

BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  /usr/bin/appstream-util

Requires:       gtk3 >= 3.20
Requires:       glib2 >= 2.48
Requires:       gtksourceview4 >= 4.0
Requires:       python3-gobject >= 3.30
Requires:       python3-gobject-base >= 3.30
Requires:       python3-cairo >= 1.15
Recommends:     patch

BuildArch:      noarch

Provides:       mergetool
Provides:       difftool

%description
Meld is a visual diff and merge tool targeted at developers. It helps you
compare files, directories, and version controlled projects. It provides two-
and three-way comparison of both files and directories, and the tabbed interface
allows you to open many diffs at once.
Meld has has support for many popular version control systems including Git,
Mercurial, Bazaar, SVN and CVS. The diff viewer lets you edit files in place
(diffs update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy navigation.

%prep
%autosetup -p1
sed -i -e "/^dependency(/d" meson.build


%build
%meson
%meson_build

%install
%meson_install
appstream-util replace-screenshots %{buildroot}%{_datadir}/metainfo/org.gnome.Meld.appdata.xml \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/meld/a.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/meld/b.png
%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Meld.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Meld.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/meld
%{_mandir}/man1/meld.1*
%{_datadir}/meld/
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/applications/org.gnome.Meld.desktop
%{_datadir}/mime/packages/org.gnome.Meld.xml
%{_datadir}/metainfo/org.gnome.Meld.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Meld*
%{python3_sitelib}/meld/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.22.0-1
- initial build
